Skip to main content

Get Prepared Delivery Status

GET 

/api/v1/delivery/preparedDelivery/:catalogId

Get status of prepared delivery

Request

Path Parameters

    catalogId stringrequired

Query Parameters

    source string

    Delivery source: 'remote' for direct download from artifact, 'cache' for download from delivery server cache

Responses

Schema

    catalogId stringrequired
    status stringrequired

    Possible values: [start, inProgress, done, error, delete, pending]

    progress number
    size number
    url stringdeprecated

    artifacts

    object[]

  • Array [

  • catalogId stringrequired
    id integer
    itemKey stringrequired
    artifactType string
    metaData string
    url stringrequired
    size number

    hash

    object

    algorithm stringrequired

    Possible values: [SHA256Hex, SHA256Base64]

    hash stringrequired
    signature string
    isExecutable boolean
    arguments string
  • ]

  • error

    object

    errorCode string

    Possible values: [APP.unknown, DELIVERY.unknown, DELIVERY.notFound, DELIVERY.download, DELIVERY.downloadNotAvailable, DELIVERY.notExist, DELIVERY.invalid, DELIVERY.notVerified, DELIVERY.packageTooLarge, DELIVERY.unableClearCache, PROJECT_MANAGEMENT.unknown, PROJECT_MANAGEMENT.deleteProjectFailed, PROJECT_MANAGEMENT.labelNotFound, PROJECT_MANAGEMENT.labelAlreadyExists, PROJECT_MANAGEMENT.labelInUse, MAP.unknown, MAP.notFound, MAP.bBoxIsInvalid, MAP.bBoxNotInAnyPolygon, MAP.getRecordsFailed, MAP.exportMapFailed, MAP.requestInProgress, MAP.areaTooLarge, MAP.areaTooSmall, DEVICE.notFound, DEVICE.hasChildren, DEVICE_TYPE.notFound, DEVICE_TYPE.alreadyExists, DEVICE_PLATFORM.notFound, DEVICE_PLATFORM.alreadyExists, GROUP.notFound, GROUP.notAllowedToAdd, GROUP.orgIdUnknown, GROUP.orgIdNotAllowed, GROUP.orgIdConflict, GROUP.orgIdNotFound, RULE.validationFailed, RULE.fieldNotSupported, RULE.fieldAlreadyExists, RULE.fieldNotFound, RELEASE.hasDependents]

    APP.unknown: General Error code not listed in the enum
    DELIVERY.unknown: Error code not listed in the enum
    DELIVERY.notFound: No found the delivery with given catalog id
    DELIVERY.download: Download of delivery item failed
    DELIVERY.downloadNotAvailable: Delivery item not yet available for download
    DELIVERY.notExist: The Package not exist in storage
    DELIVERY.invalid: Package of given catalog id is invalid, maybe expired or some else
    DELIVERY.notVerified: Package of given catalog id is not verified, the package can be in valid
    DELIVERY.packageTooLarge: Package of given catalog id is too large, no space in cache
    DELIVERY.unableClearCache: Some issue occurs when trying to clear cache
    PROJECT_MANAGEMENT.unknown: Error code not listed in the enum
    PROJECT_MANAGEMENT.deleteProjectFailed: Failed to delete the project
    PROJECT_MANAGEMENT.labelNotFound: Label with the given id or name was not found
    PROJECT_MANAGEMENT.labelAlreadyExists: Label with the given name already exists
    PROJECT_MANAGEMENT.labelInUse: Label cannot be deleted as it is being used by projects
    MAP.unknown: Error code not listed in the enum
    MAP.notFound: No found the map with given id
    MAP.bBoxIsInvalid: BBox is probably invalid
    MAP.bBoxNotInAnyPolygon: The given BBox in not contains in any polygon
    MAP.getRecordsFailed: Failed to get records.
    MAP.exportMapFailed: Some error occurs when import map
    MAP.requestInProgress: Delivery was already requested and in processing!
    MAP.areaTooLarge: Area too large to distribute, reduce request size and try again
    MAP.areaTooSmall: Area too small to distribute, increase request size and try again . DEVICE.notFound: Device with given id not found.
    DEVICE.hasChildren: Device has child devices and cannot be deleted.
    DEVICE.hasChildren: Cannot delete device because it has child devices.
    DEVICE_DT_NOT_FOUND: Device type with given id not found.
    DEVICE_DT_ALREADY_EXISTS: Device type with given name already exists.
    DEVICE_PLATFORM.notFound: Platform with given id or name not found.
    DEVICE_PLATFORM_ALREADY_EXISTS: Platform with given name already exists.
    GROUP_NOT_FOUND: Group with the given id was not found.
    GROUP_NOT_ALLOWED_TO_ADD: Not allowed to add to the group, see message for cause.
    GROUP.orgIdUnknown: Organization ID is unknown, see message for cause.
    GROUP.orgIdNotAllowed: Organization ID is not allowed to be used, see message for cause.
    GROUP.orgIdConflict: Organization ID conflict occurred.
    GROUP.orgIdNotFound: Organization ID not found.
    RULE.validationFailed: Rule validation against rule engine failed.
    RULE.fieldNotSupported: One or more fields in the rule are not supported.
    RULE.fieldAlreadyExists: Rule field with the given name already exists.
    RULE.fieldNotFound: Rule field with the given name was not found.
    RELEASE.hasDependents: Cannot delete release because other releases depend on it.

    message string
Loading...